Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tags
Class ScrollableModelTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.beasys.commerce.ebusiness.tags.ScrollableModelTag

public class ScrollableModelTag
extends javax.servlet.jsp.tagext.TagSupport

This tag helps with the navigation of a scrollable model by outputting a "Previous | 20-29 | Next" text with the proper hyperlinks based on the attributes of the tag.
Those attributes are:

1. origin: the page from which this tag originates, for use by the WebFlow engine
2. event: the event from a WebFlow engine view
3. prevString: the JSP entered "Previous" in the language of choice
4. nextString: the JSP entered "Next" in the language of choice
5. pageIndex: the index of the page in the scrollable model one views.

The ScrollableModel is obtained from the pipeline session directly.

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ScrollableModelTag()`

Method Summary
`int` | `doStartTag()` The tag body: It first extracts the scrollable model using the pipeline session.
`java.lang.String` | `getEvent()`
`javax.servlet.http.HttpSession` | `getHttpSession()` Get the Cached HttpSession.
`java.lang.String` | `getId()` Get the value of `#origin`.
`java.lang.String` | `getNextstring()`
`java.lang.String` | `getOrigin()` Get the value of `#origin`.
`java.lang.String` | `getPageindex()`
`PipelineSession` | `getPipelineSession()` Get the Cached PipelineSession.
`java.lang.String` | `getPrevstring()`
`void` | `initialize()` Get the current HttpSession and piplineSession.
`void` | `release()` Release this tag.
`void` | `setEvent(java.lang.String e)`
`void` | `setId(java.lang.String id)` Set the value of `#origin`.
`void` | `setNextstring(java.lang.String nextString)`
`void` | `setOrigin(java.lang.String s)` Set the value of `#origin`.
`void` | `setPageindex(java.lang.String pageIndex)`
`void` | `setPrevstring(java.lang.String prevString)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollableModelTag

    public ScrollableModelTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Get the Cached HttpSession. It is initialized using the initialize method which is invoked in the doStartTag().

### getPipelineSession

    public PipelineSession getPipelineSession()

  Get the Cached PipelineSession. It is initialized using the initialize method which is invoked in the doStartTag()

### initialize

    public void initialize()

  Get the current HttpSession and piplineSession.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  The tag body:
  It first extracts the scrollable model using the pipeline session. It then decides to show the Next and Previous hyperlinks. It uses the origin/event of the JSP page to create the hyperlinks.
  It finally uses the default JspWriter to output the Previous / 5-9 / Next tag.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Get the value of `#origin`.

  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setId

    public void setId(java.lang.String id)

  Set the value of `#origin`.

  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getOrigin

    public java.lang.String getOrigin()

  Get the value of `#origin`.

### setOrigin

    public void setOrigin(java.lang.String s)

  Set the value of `#origin`.

### getEvent

    public java.lang.String getEvent()

### setEvent

    public void setEvent(java.lang.String e)

### getPageindex

    public java.lang.String getPageindex()

### setPageindex

    public void setPageindex(java.lang.String pageIndex)

### setPrevstring

    public void setPrevstring(java.lang.String prevString)

### getPrevstring

    public java.lang.String getPrevstring()

### setNextstring

    public void setNextstring(java.lang.String nextString)

### getNextstring

    public java.lang.String getNextstring()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved